org.eclipse.emf.cdo.common

## Interface CDOCommonView.Options.LockNotificationEvent

- All Superinterfaces:
    IEvent, IOptionsEvent
  Enclosing interface:
    CDOCommonView.Options

      public static interface CDOCommonView.Options.LockNotificationEvent
      extends IOptionsEvent

  An `options event` fired from common view `options` when the `lock notification enabled` option has changed.
  Since:
    4.1
  Author:
    Caspar De Groot
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getEnabled()`

    - ### Methods inherited from interface org.eclipse.net4j.util.options.IOptionsEvent

      `getSource`

- - ### Method Detail

    - #### getEnabled

          boolean getEnabled()

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html